Create a voucher
curl --request POST \
--url https://b.anny.co/api/v1/vouchers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"code": "<string>",
"currency": "<string>",
"absolute_discount": 123,
"relative_discount": 123,
"expires_at": "2023-11-07T05:31:56Z",
"include_add_ons": true
},
"relationships": {},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/vouchers"
payload = { "data": {
"type": "<string>",
"attributes": {
"code": "<string>",
"currency": "<string>",
"absolute_discount": 123,
"relative_discount": 123,
"expires_at": "2023-11-07T05:31:56Z",
"include_add_ons": True
},
"relationships": {},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {
code: '<string>',
currency: '<string>',
absolute_discount: 123,
relative_discount: 123,
expires_at: '2023-11-07T05:31:56Z',
include_add_ons: true
},
relationships: {},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "vouchers",
"attributes": {
"code": "<string>",
"absolute_discount": 123,
"currency": "<string>",
"relative_discount": 123,
"number_available": 123,
"expires_at": "<string>",
"include_add_ons": true,
"description": "<string>",
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Orders & Billing
Create a voucher
POST
/
api
/
v1
/
vouchers
Create a voucher
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
201 - application/vnd.api+json
Created
A discount voucher that can be applied to orders.
Show child attributes
Show child attributes
⌘I